summaryrefslogtreecommitdiffstats
path: root/bin/check_registrations
diff options
context:
space:
mode:
Diffstat (limited to 'bin/check_registrations')
-rwxr-xr-xbin/check_registrations28
1 files changed, 28 insertions, 0 deletions
diff --git a/bin/check_registrations b/bin/check_registrations
new file mode 100755
index 0000000..cc48d4a
--- /dev/null
+++ b/bin/check_registrations
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+dbquery() {
+ mysql -s -s -e "$*" trac
+}
+
+# main function
+main() {
+ dbquery("delete from user where activated = 0 and adddate(date_added,7) < curdate()")
+}
+
+# go to script dir
+pushd $(dirname $0) > /dev/null
+
+# get global functions
+source "./functions.sh"
+
+# load configuration
+source "./config.sh"
+
+# exit on errors
+set -e
+
+# start main program
+main "$@"
+
+# leave script dir
+popd > /dev/null